Bug 1288360 - [abrt] mate-applets: battstat_upower_get_battery_info(): battstat-applet killed by SIGSEGV
[abrt] mate-applets: battstat_upower_get_battery_info(): battstat-applet kill...
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: mate-applets (Show other bugs)
23
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Wolfgang Ulbrich
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:8c14c895e08cde541ec66cf930d...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-12-04 00:22 EST by PerfMonk
Modified: 2016-04-11 12:07 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-04-11 12:07:52 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (26.65 KB, text/plain)
2015-12-04 00:23 EST, PerfMonk
no flags Details
File: cgroup (190 bytes, text/plain)
2015-12-04 00:23 EST, PerfMonk
no flags Details
File: core_backtrace (3.31 KB, text/plain)
2015-12-04 00:23 EST, PerfMonk
no flags Details
File: dso_list (8.21 KB, text/plain)
2015-12-04 00:23 EST, PerfMonk
no flags Details
File: environ (1.04 KB, text/plain)
2015-12-04 00:23 EST, PerfMonk
no flags Details
File: exploitable (110 bytes, text/plain)
2015-12-04 00:23 EST, PerfMonk
no flags Details
File: limits (1.29 KB, text/plain)
2015-12-04 00:23 EST, PerfMonk
no flags Details
File: maps (35.18 KB, text/plain)
2015-12-04 00:23 EST, PerfMonk
no flags Details
File: mountinfo (3.38 KB, text/plain)
2015-12-04 00:23 EST, PerfMonk
no flags Details
File: namespaces (85 bytes, text/plain)
2015-12-04 00:23 EST, PerfMonk
no flags Details
File: open_fds (648 bytes, text/plain)
2015-12-04 00:23 EST, PerfMonk
no flags Details
File: proc_pid_status (1011 bytes, text/plain)
2015-12-04 00:23 EST, PerfMonk
no flags Details
File: var_log_messages (328 bytes, text/plain)
2015-12-04 00:23 EST, PerfMonk
no flags Details

  None (edit)
Description PerfMonk 2015-12-04 00:22:42 EST
Description of problem:
Pendant yumex dnf update.

Version-Release number of selected component:
mate-applets-1.12.0-1.fc23

Additional info:
reporter:       libreport-2.6.3
backtrace_rating: 4
cmdline:        /usr/libexec/mate-applets/battstat-applet
crash_function: battstat_upower_get_battery_info
executable:     /usr/libexec/mate-applets/battstat-applet
global_pid:     2358
kernel:         4.2.6-301.fc23.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (5 frames)
 #0 battstat_upower_get_battery_info at battstat-upower.c:207
 #1 power_management_getinfo at power-management.c:407
 #2 check_for_updates at battstat_applet.c:980
 #8 gtk_main at gtkmain.c:1268
 #9 mate_panel_applet_factory_main at mate-panel-applet.c:2513
Comment 1 PerfMonk 2015-12-04 00:23:01 EST
Created attachment 1102119 [details]
File: backtrace
Comment 2 PerfMonk 2015-12-04 00:23:02 EST
Created attachment 1102120 [details]
File: cgroup
Comment 3 PerfMonk 2015-12-04 00:23:03 EST
Created attachment 1102121 [details]
File: core_backtrace
Comment 4 PerfMonk 2015-12-04 00:23:05 EST
Created attachment 1102122 [details]
File: dso_list
Comment 5 PerfMonk 2015-12-04 00:23:06 EST
Created attachment 1102123 [details]
File: environ
Comment 6 PerfMonk 2015-12-04 00:23:07 EST
Created attachment 1102124 [details]
File: exploitable
Comment 7 PerfMonk 2015-12-04 00:23:08 EST
Created attachment 1102125 [details]
File: limits
Comment 8 PerfMonk 2015-12-04 00:23:09 EST
Created attachment 1102126 [details]
File: maps
Comment 9 PerfMonk 2015-12-04 00:23:11 EST
Created attachment 1102127 [details]
File: mountinfo
Comment 10 PerfMonk 2015-12-04 00:23:12 EST
Created attachment 1102128 [details]
File: namespaces
Comment 11 PerfMonk 2015-12-04 00:23:13 EST
Created attachment 1102129 [details]
File: open_fds
Comment 12 PerfMonk 2015-12-04 00:23:14 EST
Created attachment 1102130 [details]
File: proc_pid_status
Comment 13 PerfMonk 2015-12-04 00:23:15 EST
Created attachment 1102131 [details]
File: var_log_messages
Comment 14 Wolfgang Ulbrich 2016-04-01 14:31:33 EDT
Does the applet have an constant problem.
Or was this only a problem with dnf update?
Comment 15 PerfMonk 2016-04-11 09:16:46 EDT
(In reply to Wolfgang Ulbrich from comment #14)
> Does the applet have an constant problem.
> Or was this only a problem with dnf update?

This was a problem with dnf update only.

I have upgraded to fedora 24 and have not seen the problem back since.
Sorry for the noise.

Note You need to log in before you can comment on or make changes to this bug.